import request from '@/benyun/utils/request'

// 获取物料分页列表
function page(data : any) {
	return request({
		url: '/maindata/maindataMaterial/page',
		method: 'GET',
		params:data
	})
}
// 根据主键id查询物料数据
function single(data : any) {
	return request({
		url: '/maindata/maindataMaterial/single',
		method: 'GET',
		params:data
	})
}
// 新增物料
function save(data : any) {
	return request({
		url: '/maindata/maindataMaterial/save',
		method: 'POST',
		params: data
	})
}
// 修改物料
function update(data : any) {
	return request({
		url: '/maindata/maindataMaterial/update',
		method: 'PUT',
		params: data
	})
}
// 删除数据
function materialDelete(data : any) {
	return request({
		url: '/maindata/maindataMaterial/delete',
		method: 'POST',
		params: data
	})
}

export default {
	page,
	single,
	save,
	update,
	materialDelete
}