import request from '@/benyun/utils/request'

// 获取物料商品树形分类
function treeList() {
	return request({
		url: '/maindata/maindataMaterialOrganizationCategory/treeList',
		method: 'GET'
	})
}
// 根据主键id查询物料分类数据
function searchTreeList(data : any) {
	return request({
		url: '/maindata/maindataMaterialOrganizationCategory/treeList/' + data,
		method: 'GET'
	})
}
// 新增机构物料分类
function saveCategory(data : any) {
	return request({
		url: '/maindata/maindataMaterialOrganizationCategory/saveCategory',
		method: 'POST',
		params: data
	})
}
// 修改机构商品分类
function updateCategory(data : any) {
	return request({
		url: '/maindata/maindataMaterialOrganizationCategory/updateCategory',
		method: 'PUT',
		params: data
	})
}
// 删除数据
function classDelete(data : any) {
	return request({
		url: '/maindata/maindataMaterialOrganizationCategory/delete',
		method: 'POST',
		params: data
	})
}

export default {
	treeList,
	searchTreeList,
	saveCategory,
	updateCategory,
	classDelete
}